Bug 72065 - up2date tries to contact the server before a proxy can be configured
up2date tries to contact the server before a proxy can be configured
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
Blocks: 82264
  Show dependency treegraph
Reported: 2002-08-20 19:05 EDT by Forrest
Modified: 2015-01-07 18:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-20 09:00:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Forrest 2002-08-20 19:05:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
I must run up2date with a proxy, but running up2date-config will just hang.  If
I ^C it once from the command-line, the configuration menu comes up, and I can
set the proxy.  I remember another bug like this in an earlier beta, but none of
my queries can find it.

Once I set the proxy, up2date and up2date-config come up without a problem.  It
looks like they are both trying to check for a server before they run.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run up2date or up2date-config

Actual Results:  It hangs searching for a server (I think).  Ctrl+C will allow
you to set the proxy.

Expected Results:  I should be able to set a proxy before up2date tries any http
Comment 1 Adrian Likins 2002-08-21 18:43:45 EDT
should be fixed in 2.9.51
Comment 2 Forrest 2002-08-30 16:13:17 EDT
I just up2dated my system and got up2date-2.9.55-2, and I am still having
problems.  When I run up2date-config with proxy enabled, up2date takes less than
4 seconds to pop up.  When I disable the proxy, and run up2date-config again, it
takes nearly 4 minutes.  Running strace shows that it is trying to connect to an
IP address via port 443.
Comment 3 Forrest 2002-10-01 13:07:10 EDT
This is still a problem with psyche.  While running firstboot, I chose to
register with RHN.  I waited for 4 minutes until it finally popped up a window
asking for my proxy.  Most new users will assume that it is stuck.  There must
be some way to avoid checking for the server until after the proxy has been entered.
Comment 4 Forrest 2002-12-26 18:45:41 EST
Still a problem in Phoebe.  I tried to set up up2date during firstboot, and I
had the 4 min. wait.
Comment 5 Adrian Likins 2003-01-28 20:54:28 EST
okay, should be fixed for good in 3.1.6

Now there is no attempt to query the server unless
the user "refreshes" the server list. So
the dialog can pop and a user can configure
the proxy info.
Comment 6 Matt Jamison 2003-05-20 09:00:38 EDT
indeed it is working.

closing bug.

Note You need to log in before you can comment on or make changes to this bug.